import 'helpers/private_api_client.dart';
import 'request.dart';

Future<void> configureAppForSessionExpiration({
  required String appId,
  int? sessionDuration,
  bool? expiring,
}) async {
  if (sessionDuration != null) {
    await PrivateApiClient().send(AppAttributeUpdateRequest(
      appId: appId,
      attributeName: 'default_session_duration',
      value: sessionDuration,
    ));
  }
  if (expiring != null) {
    await PrivateApiClient().send(AppAttributeUpdateRequest(
      appId: appId,
      attributeName: 'expiring_session',
      value: expiring,
    ));
  }
}

Future<void> configureAppForMCNT({
  required String appId,
  int? eventInterval,
  int? threshold,
}) async {
  await PrivateApiClient().send(AppAttributeUpdateRequest(
    appId: appId,
    attributeName: 'mcnt',
    value: {
      'interval': eventInterval ?? 10000,
      'policy': {'open_channel_threshold': threshold ?? 1}
    },
  ));
}
